import { convertToLineNodes } from '.';
const codeRegExp = /^(.*?)`(.*?)`(.*)$/;
const codeCommandRegExp = /^(\$ .+)$/;
const createCodeNode = (text) => ({
    type: 'code',
    text
});
export const CodeNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const codeCommandMatch = text.match(codeCommandRegExp);
    if (codeCommandMatch) {
        const [, target] = codeCommandMatch;
        return [createCodeNode(target)];
    }
    const codeMatch = text.match(codeRegExp);
    if (codeMatch) {
        const [, left, target, right] = codeMatch;
        return [
            ...convertToLineNodes(left, { nested, quoted }),
            createCodeNode(target),
            ...convertToLineNodes(right, { nested, quoted })
        ];
    }
    return next();
};
//# sourceMappingURL=CodeNode.js.map