import { convertToLineNodes } from '.';
const strongRegExp = /^(.*?)\[\[(.+?[\]]*)\]\](.*)$/;
const createStrongNode = (nodes) => ({
    type: 'strong',
    nodes
});
export const StrongNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const strongMatch = text.match(strongRegExp);
    if (!strongMatch)
        return next();
    const [, left, target, right] = strongMatch;
    return [
        ...convertToLineNodes(left, { nested, quoted }),
        createStrongNode(convertToLineNodes(target, { nested: true, quoted })),
        ...convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=StrongNode.js.map