"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CodeNodeParser = void 0;
const _1 = require(".");
const codeRegExp = /^(.*?)`(.*?)`(.*)$/;
const codeCommandRegExp = /^(\$ .+)$/;
const createCodeNode = (text) => ({
    type: 'code',
    text
});
exports.CodeNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const codeCommandMatch = text.match(codeCommandRegExp);
    if (codeCommandMatch) {
        const [, target] = codeCommandMatch;
        return [createCodeNode(target)];
    }
    const codeMatch = text.match(codeRegExp);
    if (codeMatch) {
        const [, left, target, right] = codeMatch;
        return [
            ..._1.convertToLineNodes(left, { nested, quoted }),
            createCodeNode(target),
            ..._1.convertToLineNodes(right, { nested, quoted })
        ];
    }
    return next();
};
//# sourceMappingURL=CodeNode.js.map