"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FormulaNodeParser = void 0;
const _1 = require(".");
const formulaWithTailHalfSpaceRegExp = /^(.*?)\[\$ (.+?) \](.*)$/;
const formulaRegExp = /^(.*?)\[\$ ([^\]]+)\](.*)$/;
const createFormulaNode = (formula) => ({
    type: 'formula',
    formula
});
exports.FormulaNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const hashTagMatch = text.match(formulaWithTailHalfSpaceRegExp) || text.match(formulaRegExp);
    if (!hashTagMatch)
        return next();
    const [, left, target, right] = hashTagMatch;
    return [
        ..._1.convertToLineNodes(left, { nested, quoted }),
        createFormulaNode(target),
        ..._1.convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=FormulaNode.js.map