"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StrongNodeParser = void 0;
const _1 = require(".");
const strongRegExp = /^(.*?)\[\[(.+?[\]]*)\]\](.*)$/;
const createStrongNode = (nodes) => ({
    type: 'strong',
    nodes
});
exports.StrongNodeParser = (text, { nested, quoted }, next) => {
    if (nested)
        return next();
    const strongMatch = text.match(strongRegExp);
    if (!strongMatch)
        return next();
    const [, left, target, right] = strongMatch;
    return [
        ..._1.convertToLineNodes(left, { nested, quoted }),
        createStrongNode(_1.convertToLineNodes(target, { nested: true, quoted })),
        ..._1.convertToLineNodes(right, { nested, quoted })
    ];
};
//# sourceMappingURL=StrongNode.js.map